var path = require('path');
var ExtractTextPlugin = require('extract-text-webpack-plugin');
// var LessPluginCleanCSS = require('less-plugin-clean-css');//压缩css

module.exports = {
  entry: './public/index.js',
  output: {
    path: path.join(__dirname, "public/"),
    filename: 'bundle.js',
    publicPath: path.resolve(__dirname, "public/less/dest")
  },
  module: {
    loaders: [
      // {
      //   test: /\.less$/,
      //   loader: 'style!css!less'
      // }
      {
        test: /\.less$/,
        loader: ExtractTextPlugin.extract(
          // activate source maps via loader query
          'css?sourceMap!' +
          'less?sourceMap'
        )
      },
      {
        test: /\.(png|gif)$/,
        loader: 'url-loader?limit=4096'
      }
    ]
  }
  // ,lessLoader: {
  //   lessPlugins: [
  //     new LessPluginCleanCSS({advanced: true})
  //   ]
  // }
  ,devtool: 'source-map',
  plugins: [
    // extract inline css into separate 'styles.css'
    new ExtractTextPlugin('main.css')
  ]
};